Name:           perl-Text-WagnerFischer
Version:        0.04
Release:        3%{?dist}
Summary:        Implementation of the Wagner-Fischer edit distance
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Text-WagnerFischer/
Source0:        http://www.cpan.org/authors/id/D/DA/DAVIDEBE/Text-WagnerFischer-%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Runtime
# Carp is not used
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
# Tests only
# (nothing)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(Carp)

%description
This module implements the Wagner-Fischer dynamic programming technique,
used here to calculate the edit distance of two strings. The edit distance
is a measure of the degree of proximity between two strings, based on
"edits": the operations of substitutions, deletions or insertions needed to
transform the string into the other one (and vice versa).

%prep
%setup -q -n Text-WagnerFischer-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.04-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-2
- Perl 5.22 rebuild

* Thu Nov 27 2014 Petr Šabata <contyk@redhat.com> 0.04-1
- Initial packaging
